<?php
include_once(_DIR_EXT.'/HTML/c_page_TXT.php') ;
class c_page_test_push extends c_page_TXT
{

    function show()
     {   //return ;
         ob_start() ;
         $JSON_source = file_get_contents("php://input");
         $data_in=$this->load_json_utf8($JSON_source) ;
         damp_array($data_in,1,-1) ;
         $text=ob_get_clean() ;
         LOGS()->reg_log('test_push',$text) ;
     }

    function load_json_utf8($content_str)
      {  $bom = chr(0xEF).chr(0xBB).chr(0xBF);
          if(substr_compare($bom, $content_str, 0, strlen($bom)) == 0) $content_str = substr($content_str, strlen($bom));
          return json_decode($content_str,true);
      }


  //
};
?>